package cn.com.qmth.mps.controller;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.annotation.BOOL;
import com.qmth.boot.api.constant.ApiConstant;

import cn.com.qmth.mps.util.ResouceUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "科目接口")
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/course")
@Aac(strict = BOOL.FALSE, auth = BOOL.TRUE)
public class CourseController extends BaseController {

	@PostMapping("import")
	@ApiOperation(value = "导入")
	public void importPaper(@RequestParam Long schoolId, @RequestParam Long examId, @RequestParam MultipartFile file) {
	}

	@ApiOperation(value = "下载导入模板")
	@PostMapping("template")
	public void getImportTemplate() {
		exportFile("科目导入模板.xlsx", ResouceUtil.getStream("importtemplates/absentManualImportTemplate.xlsx"));
	}

}
